Subject: bug#29565: [PATCH] Support xwidget webkit for macOS X

From: Jaesup Kwak <[email-masked]>
Date: Wed, 6 Dec 2017 14:59:00 +0900

On Wed, Dec 6, 2017 at 5:00 AM, Alan Third <[email-masked]> wrote:

>
> One small thing I noticed is
>
>     AC_MSG_ERROR([xwidgets requested, it requires GTK3 as X window
>     toolkit or macOS Cocoa as window systeml])
>                                            ^
>

Sharp eyes! Fixed the typo.

> I’ve also had the experience a couple of times where I’ve tried to
> visit a website (for example http://www.bbc.co.uk/news) but all I get
> is a blank xwidget buffer. Then if I try to do things in it I get this
> message:
>
>     2017-12-05 19:34:38.116 Emacs[56317:26076674] xwHasFocus: A JavaScript
>     exception occurred
>
> I don’t know what was going wrong.
>

I failed to re-create the problem stated. I will investigate it further.

Jaesup